Name:           scim-qtimm
Version:        0.9.4
Release:        10%{?dist}
Summary:        SCIM input method module for Qt

License:        GPL
Group:          System/Libraries
URL:            http://www.scim-im.org/projects/scim_qtimm
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  qt3-devel, scim-devel
# brew mock doesn't assume gettext
BuildRequires:  gettext
Obsoletes:      iiimf-qt <= 1:12.2
# fc7 scim xinput checks for scim-qtimm
Requires:       scim >= 1.4.5-8
Requires:       qt3 >= 3.3.6
Patch1:         scim-qtimm-0.9.4-silence-debug-output-244200.patch
Patch2:         scim-qtimm-suse116220-keyboard-layout.patch
Patch3:         scim-qtimm-suse206547-scim-qtimm-crash.patch

%description
SCIM input method module for Qt


%prep
%setup -q
%patch1 -p1 -b .1-debug
%patch2 -p1 -b .2-kbd
%patch3 -p1 -b .1-crash


%build
[ -n "$QTDIR" ] || . %{_sysconfdir}/profile.d/qt.sh
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%exclude %{_libdir}/qt-*/plugins/inputmethods/libqscim.la
%{_libdir}/qt-*/plugins/inputmethods/libqscim.so


%changelog
* Thu Apr 03 2008 Huang Peng <phuang@redhat.com> - 0.9.4-10
- Change scim-qtimm's dependence qt to qt3.

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9.4-9
- Autorebuild for GCC 4.3

* Wed Aug  1 2007 Jens Petersen <petersen@dhcp-65.brisbane.redhat.com> - 0.9.4-8
- add a couple of patches from openSUSE:
  scim-qtimm-suse116220-keyboard-layout.patch and
  scim-qtimm-suse206547-scim-qtimm-crash.patch

* Mon Jun 18 2007 Jens Petersen <petersen@redhat.com> - 0.9.4-7
- add scim-qtimm-0.9.4-silence-debug-output-244200.patch to silence kconfig
  and ScimInputContextPlugin output from KDE apps
  (reported by Mary Ellen Foster, #244200)

* Tue Feb 13 2007 Jens Petersen <petersen@redhat.com> - 0.9.4-6
- remove xinput file since scim xinput file now checks for scim-qtimm

* Mon Jul 24 2006 Jens Petersen <petersen@redhat.com> - 0.9.4-5
- move xinput script to a subdir

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.9.4-4.1
- rebuild

* Tue Jun  6 2006 Jens Petersen <petersen@redhat.com> - 0.9.4-4
- require qt 3.3.6 or later (#190145)
- buildrequire gettext to generate .gmo files (#194165)

* Wed Apr  5 2006 Jens Petersen <petersen@redhat.com> - 0.9.4-3
- add epoch to obsoletes

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.9.4-2.1.1
- bump again for double-long bug on ppc(64)

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Nov 14 2005 Jens Petersen <petersen@redhat.com> - 0.9.4-2
- add obsoletes iiimf-qt for upgrades (#173071)

* Wed Aug 17 2005 Jens Petersen <petersen@redhat.com> - 0.9.4-1
- update to 0.9.4

* Sat Aug  6 2005 Jens Petersen <petersen@redhat.com> - 0.9.3-1
- initial build for Fedora Core
- update summary and url
- add xinput.d script for scim one to source

* Fri Aug  5 2005 Warren Togami <wtogami@redhat.com>
- 0.9.3
- cleanup according to Fedora guidelines

* Thu Jul 17 2004 LiuCougar <liuspider@users.sourceforge.net> 0.5-0.r10.1
- update the version

* Thu Jul 15 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-0.r03.3
- spec for official scim-qtimm

* Mon Jul 12 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.0.1-0.r03.2ut
- fix URL
- remove Conflicts

* Tue Jul 06 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.1-0.r03.1mdk
- fix buildrequires
- initial spec for mdk (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
